<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>用户注册</title>
    <!-- 引入 bootstrap 的 css 文件 -->
    <link rel="stylesheet" href="https://cdn.bootcdn.net/ajax/libs/twitter-bootstrap/4.3.0/css/bootstrap.min.css">
    <!-- 引用cropper.js库的CSS文件 -->
    <link rel="stylesheet" href="_css/cropper.min.css">
</head>
<body>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-6">
            <h1 class="text-center">用户注册</h1>
            <!-- 使用 bootstrap 的 card 类，来创建一个带有阴影的卡片 -->
            <div class="card shadow">
                <!-- 使用 CSS 的 background-color 属性，来设置卡片的背景颜色为米白色 -->
                <div class="card-body" style="background-color: #f5f5dc;">
                    <!-- 创建一个表单，用于提交用户名和密码 -->
                    <form id="form" action="register" method="post">
                        <div class="form-group row">
                            <label for="username" class="col-sm-3 col-form-label">用户名：</label>
                            <div class="col-sm-9">
                                <input type="text" id="username" class="form-control" required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="password" class="col-sm-3 col-form-label">密 码：</label>
                            <div class="col-sm-9">
                                <input type="password" id="password" class="form-control" required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="phone" class="col-sm-3 col-form-label">电 话：</label>
                            <div class="col-sm-9">
                                <input type="tel" id="phone" pattern="\d{11}" class="form-control" required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="age" class="col-sm-3 col-form-label">年 龄：</label>
                            <div class="col-sm-9">
                                <input type="number" id="age" class="form-control" required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="image" class="col-sm-3 col-form-label">头 像：</label>
                            <div class="col-sm-9">
                                <!-- 使用 bootstrap 的自定义文件输入组件 -->
                                <div class="custom-file">
                                    <!-- 添加 data-browse 属性来自定义浏览按钮的文本 -->
                                    <input type="file" id="image" accept="image/*"
                                           class="custom-file-input" data-browse='选择图片' required>
                                    <!-- 添加 data-browse 属性来自定义文件名的占位符 -->
                                    <label for="image" class="custom-file-label"
                                           data-browse='上传图片'>未选择图片</label>
                                </div>
                            </div>
                        </div>
                        <!-- 使用 bootstrap 的 row 和 col 类，来创建一个网格布局 -->
                        <div class="row">
                            <!-- 使用 col-5 类，来指定按钮占据 5 个网格单位 -->
                            <div class="col-5">
                                <button type="submit" class="btn btn-primary btn-block">提交</button>
                            </div>
                            <!-- 使用 offset-2 类，来指定按钮之间有 2 个网格单位的间距 -->
                            <div class="col-5 offset-2">
                                <button class="btn btn-secondary btn-block" id="reset">重置</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- 使用 bootstrap 的模态框组件来显示图片裁剪的功能 -->
<div id="crop-modal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">图片裁剪</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="关闭">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <!-- 显示图片预览 -->
                <img id="preview" src="" alt="图片预览">
            </div>
            <div class="modal-footer">
                <button type="button" id="crop-btn" class="btn btn-primary">确定</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">取消</button>
            </div>
        </div>
    </div>
</div>

<script src="_js/cropper.min.js"></script>
<script src="https://cdn.bootcdn.net/ajax/libs/jquery/2.0.0/jquery.js"></script>
<script src="https://cdn.bootcdn.net/ajax/libs/popper.js/1.6.0/popper.js"></script>
<script src="https://cdn.bootcdn.net/ajax/libs/twitter-bootstrap/4.3.0/js/bootstrap.min.js"></script>
<script src="_js/register.js"></script>
</body>
</html>